---
title: dots.v2.databases.byDatabase_cluster_uuid().pools.byPool_name().put()
description: Update Connection Pools (PostgreSQL)
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/databases/databases-update-connectionpool/
last_updated: "2026-10-27"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.databases.byDatabase_cluster_uuid().pools.byPool_name().put()

Generated on 27 Oct 2026 from DoTs version [`v1.21.0`](https://github.com/digitalocean/dots/releases/tag/v1.21.0)

## Usage

```typescript
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).pools.byPool_name(pool_name).put(body: Connection_pool_update, requestConfiguration?: RequestConfiguration<object>): Promise<void>
```

## Description

To update a connection pool for a PostgreSQL database cluster, send a PUT request to [`/v2/databases/{database_cluster_uuid}/pools/{pool_name}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_update_connectionPool).

## Parameters

### Path Parameters

`database_cluster_uuid` string required

Example: `9cc10173-e9ea-4176-9dbc-a4cee4c4ff30`

A unique identifier for a database cluster.

`pool_name` string required

Example: `backend-pool`

The name used to identify the connection pool.

### Request Body

`mode` string required

Example: `transaction`

The PGBouncer transaction mode for the connection pool. The allowed values are session, transaction, and statement.

`size` integer required

Example: `10`

The desired size of the PGBouncer connection pool. The maximum allowed size is determined by the size of the cluster's primary node. 25 backend server connections are allowed for every 1GB of RAM. Three are reserved for maintenance. For example, a primary node with 1 GB of RAM allows for a maximum of 22 backend server connections while one with 4 GB would allow for 97. Note that these are shared across all connection pools in a cluster.

`db` string required

Example: `defaultdb`

The database for use with the connection pool.

`user` string optional

Example: `doadmin`

The name of the user for use with the connection pool. When excluded, all sessions connect to the database as the inbound user.

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").pools
    .byPool_name("backend-pool").put({
    mode: "transaction",
    size: 10,
    db: "defaultdb",
    user: "doadmin",
});
```

## More Information

See [`/v2/databases/{database_cluster_uuid}/pools/{pool_name}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_update_connectionPool) in the API reference for additional detail on responses, headers, parameters, and more.